Description

As I said in my mail [1] (meanwhile I done some changing), I'd like to see a new splash screen on start up of QGIS,

so I have been working on a new design for it. You can see it below!

http://lrssvt.ns0.it/img/splash_message_onleft.png

with new logo proposal:

http://lrssvt.ns0.it/img/splash_new_logo.png

QGIS Logo (proposal):

http://lrssvt.ns0.it/img/qgis_logo_new.png

http://lrssvt.ns0.it/img/logo.png

Improvements and opinions are welcome!

[1] - http://lists.osgeo.org/pipermail/qgis-developer/2013-February/024484.html

Old versions:

    -  [a] - http://lrssvt.ns0.it/img/splash_simple_new.png

Related issues:

Related to QGIS Application - Feature request # 6688: Refined and vectorized ... Closed 2012-11-13

History

#1 - 2013-02-24 07:59 AM - Anita Graser

I like the idea of squared corners too.

As to the overall design, there is too much going on for me right now. So many different font styles: bold, italic, with and without shadow, colors and

outlines.

If we get an updated logo for 2.0, I think we should create something from there.

#2 - 2013-02-26 02:30 AM - Salvatore Larosa

- File deleted (splash.png)

#3 - 2013-02-26 02:32 AM - Salvatore Larosa

- File splashscreenqgis20.svg added

- File splash.png added
http://lists.osgeo.org/pipermail/qgis-developer/2013-February/024484.html
http://lrssvt.ns0.it/img/splash_simple_new.png


I updated the issue with the latest edited image.

I also added the SVG version.

#4 - 2013-02-26 03:05 AM - Hugo Mercier

The background is nice now, thanks for your work.

I am still not totally convinced by the fonts. Perhaps a 'serif' font for writings should be more consistent with the old Essen map ?

Letters of the logo seems a bit 'wide' (Droid Sans is a bit narrower), and not sure about the 'Q' and 'GIS' only in bold ...

#5 - 2013-02-26 03:15 PM - Salvatore Larosa

I added a new version that has the message area on the left instead of center

and I removed the gradient on the bottom in order to enhance the overall design.

#6 - 2013-02-26 03:15 PM - Salvatore Larosa

- File deleted (splash.png)

#7 - 2013-02-26 04:42 PM - Nathan Woodrow

I really like the way this is evolving. You might have to tweak it once we get a revised logo.

#8 - 2013-02-26 09:01 PM - Mathieu Pellerin - nIRV

Nice. Selfishly happy to see my refreshed logo proposal being used ;) That said, for the sake of consistency across the board, if by version 2.0 the

refreshed logo (or a revised / entirely new logo through contest) isn't officially adopted, IMO it should use the one on qgis.org

+1 for getting rid of rounded corners.

#9 - 2013-02-27 08:27 AM - Antonio Locandro

I think the vertical line is too thick by the logo, also too many fonts. By the way at what point are we dropping Quantum GIS for just QGIS

#10 - 2013-02-27 04:36 PM - Salvatore Larosa

I had have some time to work on it so I also reviewed the main logo

and I added it to the first comment !

Sorry if I drastically modified the logo, but I really like it now, 

although I'd like keep the original "Q" letter somehow.

mine is just a proposal, I see if you don't like it :-)

Thanks for your feedbacks

@Antonio: I followed your suggestion about the vertical line !

#11 - 2013-03-01 01:09 PM - Tim Sutton
Hi Salvatore

Cool that you are working on this. Here are some point from me:

    -  The ribbons dont look good to me (purely subjective)

    -  The writing over the ribbons is distracting

    -  The shadow behind the text is too strong,

    -  The small text should be removed I think its too busy

    -  The Q logo while interesting is imho too far from the original

So in general I think try reducing the number of elements and make it very simple.

Regards

Tim

#12 - 2013-03-01 06:54 PM - Larry Shaffer

Hi Salvatore,

Just a note about design workflow. It is best to present multiple compositions (or 'comps' as they are referred to in the graphic design trade) when

proposing a new brand design. Generally, at least 3 versions of varying conceptual approaches is a good starting point.

This has the following advantages:

    -  Reviewers are more forthcoming with constructive critique if they know there is less of a likelihood that the designer is invested in just one design.

Everyone likes having choices, and no one wants to hurt anyone's ego.

    -  Different comp concepts allow a broader understanding of where reviewers desire the design to go, before work is invested in the details.

    -  Different approaches bring new ideas and discussions that can often benefit your 'favorite' comp, making it more appealing.

For example, about 5 years ago, when designing the new logo for the company I work at, the design went through about 30 revisions, and that was after

looking at over 20 comps. Logos are really that important to people. So having choices is essential to the process.

#13 - 2013-07-14 12:45 PM - Tim Sutton

I am going to close this ticket for now. We have been through a logo design competition subsequent to this ticket and had much discussion on the issue.

One thing that is clear is that we should stick with our current branding until such time as we have a cohesive new approach. As such I will make a new

splash and submit it to the community for comments for this release. In subsequent releases that will be a responsibility that we will delegate to the new

design team that will be formed.

Thanks!

Tim

#14 - 2013-09-06 10:46 AM - Salvatore Larosa

- Status changed from Open to Closed
we have got a new splash screen for the 2.0 release!

Thanks Anita and congrats for the new role!

refs: http://lists.osgeo.org/pipermail/qgis-developer/2013-September/028051.html

Files

splashscreenqgis20.svg 509 KB 2013-02-26 Salvatore Larosa
